using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Utility : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
    }
    public void Cripta(string protectionProvider)
    {
        // apriamo il file di configurazione
        Configuration WebConfig = System.Web.Configuration.WebConfigurationManager.OpenWebConfiguration(Request.ApplicationPath);
        // specifichiamo la sezione da criptare
        ConfigurationSection sezioneProt = WebConfig.Sections["connectionStrings"];
        // verifichiamo che la sezione non sia gi protetta
        if (!sezioneProt.SectionInformation.IsProtected)
        {
            // specifichiamo il protection provider da applicare alla sezione da criptare
            sezioneProt.SectionInformation.ProtectSection(protectionProvider);
            // salviamo il file di configurazione modificato
            WebConfig.Save();
            Messaggio1.Text = "Web.Config criptato con " + protectionProvider;
        }
        else
            Messaggio1.Text = "Web.Config gi criptato";
    }
    public void DeCripta()
    {
        // apriamo il file di configurazione
        Configuration WebConfig = System.Web.Configuration.WebConfigurationManager.OpenWebConfiguration(Request.ApplicationPath);
        // specifichiamo la sezione criptata
        ConfigurationSection sezioneProt = WebConfig.Sections["connectionStrings"];
        // verifichiamo che la sezione sia protetta
        if (sezioneProt.SectionInformation.IsProtected)
        {
            // decriptiamo la sezione criptata
            sezioneProt.SectionInformation.UnprotectSection();
            // salviamo il file di configurazione modificato
            WebConfig.Save();
            Messaggio1.Text = "Web.Config decriptato";
        }
        else
            Messaggio1.Text = "Web.Config gi decriptato"; 
    }
    protected void RadioButtonList1_SelectedIndexChanged(object sender, EventArgs e)
    {
        switch (RadioButtonList1.SelectedIndex)
        {
            case 0:
                Cripta("DataProtectionConfigurationProvider");
                break;
            case 1:
                Cripta("RSAProtectedConfigurationProvider");
                break;
            case 2:
                DeCripta();
                break;
        }
    }
}
